Skip to main content
`Ctrl`+`K`

# TSViewFromOptions

View a `TS` based on values in the options database

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSViewFromOptions(TS ts, PetscObject obj, const char name[])

Collective

## Input Parameters

- ts - the `TS` context

- obj - Optional object that provides the prefix for the options database keys

- name - command line option string to be passed by user

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSView`, `PetscObjectViewFromOptions()`, `TSCreate()`

## Level

intermediate

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages